package com.persagy.apm.diagnose.utils;

import java.util.ArrayList;
import java.util.List;

import com.persagy.apm.diagnose.service.dto.ObjRelationDataDTO;


/**
 * Description: Company: Persagy
 *
 * @author shaohongbo
 * @version 1.0
 * @since: 2019年9月19日: 下午12:17:58 Update By shaohongbo 2019年9月19日: 下午12:17:58
 */

public class CenterDataUtil {


    public static final String graphCode = "MechSubset";

    public static final String relCode = "Sy2Eq";

    public static ObjRelationDataDTO getObjRelationDataDTO(String projectId, String classCode, String objId, String subObjId) {
        ObjRelationDataDTO objRelationDataDTO = new ObjRelationDataDTO();
        objRelationDataDTO.setGraphCode(graphCode);
        objRelationDataDTO.setRelCode(relCode);
        objRelationDataDTO.setClassCode(classCode);
        objRelationDataDTO.setObjFrom(objId);
        objRelationDataDTO.setProjectId(projectId);
        objRelationDataDTO.setObjTo(subObjId);
        return objRelationDataDTO;
    }

}
