CREATE TABLE IF NOT EXISTS `calculate_time_record`
(
    `project_id`           varchar(50) NOT NULL COMMENT '项目id',
    `obj_id`               varchar(64) NULL DEFAULT NULL COMMENT '对象id',
    `monitor_indicator_id` varchar(64) NULL DEFAULT NULL COMMENT '监测指标id',
    `calculate_last_time`  timestamp   NULL DEFAULT NULL COMMENT '上次计算时间',
    INDEX `project` (`project_id`) USING BTREE
) ENGINE = MyISAM
  CHARACTER SET = utf8mb4
  COLLATE = utf8mb4_general_ci COMMENT = '监测指标计算时间'
  ROW_FORMAT = Dynamic;

CREATE TABLE IF NOT EXISTS `project_indicator_compute`
(
    `project_id`    varchar(50) NOT NULL COMMENT '项目id',
    `compute_round` int(20)     NOT NULL COMMENT '计算轮次',
    `compute_time`  timestamp   NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '计算时间'
) ENGINE = MyISAM
  CHARACTER SET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = Dynamic;

